/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.RedondeoOrgaoConcedente;

/**
 *
 * @author Administrador
 */
public class RenderRedondeoOrgaoConcedente implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	RedondeoOrgaoConcedente redondeoOrgaoConcedente = (RedondeoOrgaoConcedente) o;

        Listcell lc = new Listcell();

        OrgaoConcedente orgao = redondeoOrgaoConcedente.getOrgaoConcedente();

        lc = new Listcell(orgao != null && orgao.getDescOrgao() == null ? "" : orgao.getDescOrgao());
        lc.setParent(lstm);


        lstm.setAttribute("data", redondeoOrgaoConcedente);
    }
}
